%define upstream_name    Plack-Middleware-FixMissingBodyInRedirect
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Set body for redirect response, if it's not already set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Always)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module sets body in redirect response, if it's not already set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.120.0-6.mga9
+ Revision: 1805084
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-5.mga8
+ Revision: 1496572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-4.mga7
+ Revision: 1270525
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1032124
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 966744
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 846755
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 750276
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 623923
- update to 0.11

* Tue May 06 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 620723
- update to 0.10

* Thu Feb 13 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 590590
- imported package perl-Plack-Middleware-FixMissingBodyInRedirect


* Thu Feb 13 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
